<?php
#**************************************************
#  CPG PMS Plugin for Coppermine Photo Gallery
#  *************************************************
#  Copyright (c) 2006 Thomas Lange <stramm@gmx.net>
#  *************************************************
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  *************************************************
#  Coppermine version: 1.4.13
#  CPG PMS version: 1.1
#  $Revision: 1.0 $
#  $Author: stramm $
#***************************************************

if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...'); }

//Configuration
$lang_plugin_pms['$description'] = 'CPG Private Messaging System adds the possibility to send and receive private messages.';
$lang_plugin_pms['Announcement Thread'] = 'Announcement Thread';
$lang_plugin_pms['Instructions']   = 'Instructionsfile';
$lang_plugin_pms['Inst_lang']    =   '<a href=" plugins/cpg_pms/instructions/instructions.txt" class="admin_menu" target="_blank">';

$lang_pms_admin_data = array(
  'Private messaging',
  array('Enable private messaging', 'pms_enabled', 1),
  array('Display pm status info when logged in (2q)', 'display_pms_status', 1),
  array('Display login form', 'enable_loginform', 1),
  array('Make links clickable', 'pms_make_links', 1),
  array('Enable smilies in private messages', 'pms_smilies', 1),
  array('Enable BBCode', 'pms_message_bbcode', 1),
  array('Enable image tag', 'pms_message_img_tag', 1),
  array('Enable email notification', 'pms_enable_email', 1),
  array('Messages user can store', 'pms_messages', 0),
  array('Date format', 'pms_date_format', 0),
  array('Time format', 'pms_time_format', 0),
  array('Flood protection, seconds till new pm can be sent', 'pms_post_flood', 0),
);

$lang_pms_sys['admin_title']     = 'PMS';
$lang_pms_sys['noname']          = 'No name';
$lang_pms_sys['from']            = 'from';
$lang_pms_sys['welcome']         = 'Welcome back';
$lang_pms_sys['user']            = 'Username';
$lang_pms_sys['pass']            = 'Password';
$lang_pms_sys['remember']        = 'Remember me';
$lang_pms_sys['pms']             = 'Private Messages: ';
$lang_pms_sys['unread_total']    = ' unread, total  ';
$lang_pms_sys['yes']             = 'yes';
$lang_pms_sys['no']              = 'no';
$lang_pms['info']                = 'Information';
$lang_pms['upd_success']         = 'The settings have been updated from Coppermine';
$lang_pms['title']               = 'Gallery Settings';
$lang_pms['click_expand']        = 'off';
$lang_pms['User doesnt exist']   = 'User does not exist';
$lang_pms['Close Tags']          = 'Close Tags';

//Farben
$lang_pms['Dark Red']            = 'Dark Red';
$lang_pms['Red']                 = 'Red';
$lang_pms['Orange']              = 'Orange';
$lang_pms['Brown']               = 'Brown';
$lang_pms['Yellow']              = 'Yellow';
$lang_pms['Green']               = 'Green';
$lang_pms['Olive']               = 'Olive';
$lang_pms['Cyan']                = 'Cyan';
$lang_pms['Blue']                = 'Blue';
$lang_pms['Dark Blue']           = 'Dark Blue';
$lang_pms['Indigo']              = 'Indigo';
$lang_pms['Violet']              = 'Violet';
$lang_pms['White']               = 'White';
$lang_pms['Black']               = 'Black';

//Date
$lang_pms['Today']              = 'Today';
$lang_pms['Yesterday']          = 'Yesterday';
$lang_pms['This week']          = 'This week';
$lang_pms['This month']         = 'This month';
$lang_pms['Older than a month'] = 'Older than a month';

// Common
$lang_pms['Messages']           = 'Messages';
$lang_pms['Message']            = 'Message';
$lang_pms['Save message']       = 'Save message';
$lang_pms['Send']               = 'Send';

// Messages
$lang_pms['Inbox']              = 'Inbox';
$lang_pms['Outbox']             = 'Outbox';
$lang_pms['switch']             = 'Switch to';
$lang_pms['Box0']               = 'Switch to Sent';
$lang_pms['Box1']               = 'Switch to Inbox';
$lang_pms['Action']             = 'Action';
$lang_pms['Reply']              = 'Reply';
$lang_pms['Delete']             = 'Delete';
$lang_pms['Quote']              = 'Quote';
$lang_pms['Date']               = 'Date';
$lang_pms['Status']             = 'Messages status:';
$lang_pms['Subject']            = 'Subject';
$lang_pms['Sender']             = 'Sender';
$lang_pms['Receiver']           = 'Receiver';
$lang_pms['Private Messages']   = 'Private Messages';
$lang_pms['PrivateMessage']     = 'Private Message';
$lang_pms['PrivMesIn']          = 'Private messages in';
$lang_pms['New message']        = 'Send new message';
$lang_pms['managefolder']       = 'Manage folder';
$lang_pms['contains']           = 'contains';
$lang_pms['Delete messages comply'] = 'Are you sure you want to delete the selected messages?';
$lang_pms['delete']             = 'delete';
$lang_pms['total']              = 'total';
$lang_pms['from a maximum of']  = 'from a maximum of';
$lang_pms['messages stored']    = 'messages stored';
$lang_pms['Sort by']            = 'Sort by';
$lang_pms['markread']           = 'mark as read';
$lang_pms['markunread']         = 'mark as unread';
$lang_pms['Read redirect']      = 'All messages marked as read. Redirecting...';
$lang_pms['Mark all']           = 'Mark all messages as read';
$lang_pms['markmessages']       = 'Mark / unmark all messages in that time periode';
$lang_pms['markmessages_all']   = 'Mark / unmark all messages';
$lang_pms['markmessages_del']   = 'To delete this message mark the check box and press ';

// Viewtopic
$lang_pms['PM']                 = 'PM';
$lang_pms['maxmsg']             = 'Maximum number of messages you can store';

// Profile
$lang_pms['Quick message']      = 'Send private message';
$lang_pms['Show smilies']       = 'Show smilies';

// Send or delete message
$lang_pms['Send to']            = 'Send to';
$lang_pms['Send a message']     = 'Send a message';
$lang_pms['Deletemessage']      = 'Delete message';
$lang_pms['Del redirect']       = 'Message deleted; redirecting...';
$lang_pms['Sent redirect']      ='Messages sent to user; redirecting...';

// Errors and messages
$lang_pms['No messages']        = 'No messages';
$lang_pms['New messages']       = 'There are new messages';
$lang_pms['No user']            = 'There\'s no user with that username.';
$lang_pms['Full inbox']         = 'Your inbox is full!';
$lang_pms['Inbox full']         = 'Users inbox is full, you can not send you message to the user. ';
$lang_pms['Sent full']          = 'Can\'t save message to Sent, your box is full.';
$lang_pms['Flood start']        = 'At least';
$lang_pms['Flood end']          = 'seconds have to pass between sends. Please wait a little while and try send the message again.';
$lang_pms['No subject']         = 'No subject';
$lang_pms['o_board_title']      = 'Private Messages';
$lang_pms['Write message legend'] = 'Write your message and submit';
$lang_pms['Subject']            = 'Subject';
$lang_pms['Message']            = 'Message';
$lang_pms['pms']                = 'Messages';
$lang_pms['Hide smilies']       = 'Hide smilies';
$lang_pms['Options']            = 'Options';
$lang_pms['go']                 = 'Go';
$lang_pms['Too long message']   = 'Too long message';
$lang_pms['BBCode']             = 'BBCode';
$lang_pms['img tag']            = 'Image tag';
$lang_pms['Smilies']            = 'Smilies';
$lang_pms['on']                 = 'an';
$lang_pms['off']                = 'aus';
$lang_pms['Bad request']        = 'Bad request';
$lang_pms['No permission']      = 'No permission';
$lang_pms['Image link']         = 'Image link';
$lang_pms['Go back']            = 'Go back';
$lang_pms['Pages']              = 'Pages';
$lang_pms['Normal icon']        = '<!-- -->';	// Errors and messages
$lang_pms['New icon']           = 'You have new messages';
$lang_pms['Today']              = 'Today';
$lang_pms['Yesterday']          = 'Yesterday';
$lang_pms['Link separator']     = ' :: ';
$lang_pms['Settings']           = 'Settings';
$lang_pms['selectedmessages']   = 'Selected messages';
$lang_pms['unreadmsg']          = 'unread message';
$lang_pms['readmsg']            = 'read message';
$lang_pms['reapliedmsg']        = 'replied to message';
$lang_pms['posted_a']           = 'Date ascending';
$lang_pms['posted_d']           = 'Date decending';
$lang_pms['sender_a']           = 'Sender ascending';
$lang_pms['sender_d']           = 'Sender decending';
$lang_pms['u_messages_on_p_pages'] = '%d messages on %d page(s)';
$lang_pms['New private message at'] = 'New private message at ';
$lang_pms['Smilies List']      = 'Smilies List';
$lang_pms['Smilies Click']     = 'Smilies Click';

//Function Check
$lang_pms['You must enter a message when posting'] = '"You must enter a message when posting"';



$lang_pms_notify_email = <<<EOT
Hello {USER_NAME},

You have received a new private message at {SITE_NAME} from
{SENDER_NAME}. Please click here to log in and read it:
<a href="{LINK}">{LINK}</a>

If you don"'"t want to receive these notification emails anymore
just update your profile and unmark the 'Notify me on new private
messages' checkbox.

{ADMIN}
EOT;

?>